Class SelectDrawingView
Inheritance
System.Object
System.MarshalByRefObject
SelectDrawingView
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Drawings
Assembly: NXOpen.dll
Syntax
public class SelectDrawingView : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectDrawingView()
Declaration
protected SelectDrawingView()
Properties
Value
Declaration
public DrawingView Value { get; set; }
Property Value
Type | Description |
---|---|
DrawingView |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public DrawingView GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
DrawingView |
GetValue(out DrawingView, out View, out Point3d)
Declaration
public void GetValue(out DrawingView selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
DrawingView | selection | |
View | view | |
Point3d | point |
GetValue(out InferSnapType.SnapType, out DrawingView, out View, out Point3d, out DrawingView, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out DrawingView selection1, out View view1, out Point3d point1, out DrawingView selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
DrawingView | selection1 | |
View | view1 | |
Point3d | point1 | |
DrawingView | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(DrawingView, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(DrawingView selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
DrawingView | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(DrawingView, View, Point3d)
Declaration
public void SetValue(DrawingView selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
DrawingView | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, DrawingView, View, Point3d, DrawingView, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, DrawingView selection1, View view1, Point3d point1, DrawingView selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
DrawingView | selection1 | |
View | view1 | |
Point3d | point1 | |
DrawingView | selection2 | |
View | view2 | |
Point3d | point2 |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink